# wxLinuxDistributionInfo Struct Reference

`#include </home/work/projects/wx/2.9/wx/interface/wx/platinfo.h>`

## Detailed Description

A structure containing informations about a Linux distribution as returned by the `lsb_release` utility.

See wxGetLinuxDistributionInfo() or wxPlatformInfo::GetLinuxDistributionInfo() for more info.

## Public Member Functions

bool | operator== (const wxLinuxDistributionInfo &ldi) const
bool | operator!= (const wxLinuxDistributionInfo &ldi) const

## Public Attributes

wxString | Id
| The id of the distribution; e.g. "Ubuntu".
wxString | Release
| The version of the distribution; e.g. "9.04".
wxString | CodeName
| The code name of the distribution; e.g. "jaunty".
wxString | Description
| The description of the distribution; e.g. "Ubuntu 9.04".

List of all members.

## Member Function Documentation

bool wxLinuxDistributionInfo::operator!= | ( | const wxLinuxDistributionInfo & | ldi | ) | const

bool wxLinuxDistributionInfo::operator== | ( | const wxLinuxDistributionInfo & | ldi | ) | const

## Member Data Documentation

wxString wxLinuxDistributionInfo::CodeName

The code name of the distribution; e.g. "jaunty".

wxString wxLinuxDistributionInfo::Description

The description of the distribution; e.g. "Ubuntu 9.04".

wxString wxLinuxDistributionInfo::Id

The id of the distribution; e.g. "Ubuntu".

wxString wxLinuxDistributionInfo::Release

The version of the distribution; e.g. "9.04".

|  | [ top ]